<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
only support these sensors
sensor_name ,  type,   description
 system_h   ,    0 ,   board high temperature area
 pa_0       ,    1 ,   major pa
 charger    ,    2 ,   charge ic
 usb        ,    3 ,   USB
 cluster0   ,    4 ,   cpu little core
 cluster1   ,    5 ,   cpu middle core
 gpu        ,    6 ,   gpu core
 modem      ,    7 ,   modem
 ddr        ,    8 ,   ddr
 battery    ,    9 ,   battery
 lcd        ,    10,   display screen
 tp         ,    11,   touch screen
 system_l   ,    12,   board low temperature area
 rfboard    ,    13,   mobile cool area
 wireless   ,    14,   wireless charge ic
 pa_1       ,    15,   minor pa
 dcxo_0     ,    16,   major crystal oscillator
 dcxo_1     ,    17,   minor crystal oscillator
 camera_0   ,    18,   back camera
 camera_1   ,    19,   front camera
 codec      ,    20,   codec

 shell_frame,    22,   frame shell
 ambient_v1 ,    23,   ambient v1.0
 ambient    ,    24,   ambient v2
 ir         ,    25,   ir
 dot        ,    26,   dot
 flash_led  ,    27,   flash led
 shell_front,    28,   front shell
 shell_back ,    29,   back shell
 usb_port   ,    30,   accurate USB
 supply_avg ,    31, average value of battery supply
 "supply_peak,   32, peak value of battery supply
 bat_0      ,    33, battery_0 of dual-battery
 bat_1      ,    34, battery_1 of dual-battery
 pa_2       ,    35, sub pa
 pa_3       ,    36, sub pa
 pa_4       ,    37, sub pa
 mmw_0      ,    38, mmw major pa
 mmw_1      ,    39, mmw minor pa
 shell_0    ,    40, shell v3.0
 shell_1    ,    41, shell v3.0
 shell_2    ,    42, shell v3.0
 shell_3    ,    43, shell v3.0
 shell_4    ,    44, shell v3.0
 shell_5    ,    45, shell v3.0
 cluster2   ,    46, acpu big cpu core
 msm-therm-adc,  47, ap zone on Qcom platform
 msm-therm  ,    48, ap zone on Qcom platform
 chg-therm-adc,  49, charge ic on Qcom platform
 pa-therm0  ,    50, pa on Qcom platform
 pa_therm0  ,    51, pa on Qcom platform
 mtktsAP    ,    52, ap zone on mtk platform
 mtkts_chargerntc, 53, charge ic on mtk platform
 mtktsbtsmdpa,   54, pa on mtk platform
 mtkts_usbntc,   55, usb on mtk platform
-->
<thermal version="0.01" product="FTM">

<!--配置需要上传的温度属性信息-->
<sensor_temp name="ambient" type="24" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="rfboard" type="55" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_frame" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_front" type="28" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_back" type="29" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="system_h" type="52" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="charger" type="53" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_0" type="54" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<ambient_calculate_coef>
    <debug>0</debug>
    <nstate>60</nstate>
    <ncalc>6</ncalc>
    <nout>5</nout>
    <deltat>5</deltat>
    <tau>100</tau>    
    <epsilon>1</epsilon>
    <interval>200</interval>
    <cur_step>300</cur_step>
    <ntc_step>2000</ntc_step>   
    <ntc_rate>75</ntc_rate>
    <version>30</version>
    <para_init_a>3083.224</para_init_a>
    <para_init_b>67.61567</para_init_b>
    <para_ac_a>-17459.5</para_ac_a>
    <para_ac_b>-0.19352</para_ac_b>
    <para_ac_cur>0</para_ac_cur>
    <para_dc_a>-7283.82</para_dc_a>
    <para_dc_b>-0.1923</para_dc_b>
    <para_dc_cur>-3.6907</para_dc_cur>
    <temp_norm>1</temp_norm>
    <amb_max>80000</amb_max>
    <amb_min>-40000</amb_min>
    <amb_range>-40000</amb_range>
    <cur_norm>3800</cur_norm>
    <sensor_count>4</sensor_count>
    <sensor0 type="battery" alpha="1.69124" beta="1.116986"/>
    <sensor1 type="battery" alpha="0" beta="0"/>
    <sensor2 type="mtktsbtsmdpa" alpha="-0.88946" beta="0.003266"/>
    <sensor3 type="mtktsAP" alpha="0.409464" beta="-0.11257"/>
</ambient_calculate_coef>

<shell_calculate_coef>
    <shell_count>3</shell_count>
    <interval>5</interval>
    <tsensor_min>0</tsensor_min>
    <tsensor_max>100</tsensor_max>
    <tsensor_step>10</tsensor_step>
    <ntc_min>-20000</ntc_min>
    <ntc_max>80000</ntc_max>
    <ntc_step>2000</ntc_step>
    <temp_step_range>1000</temp_step_range>
    <temp_max_step_range>10000</temp_max_step_range>
    <shell_coef0 name="shell_frame">
        <bat_bias>2500</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>1596</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="mtktsAP" type="ntc" coef="-15982,-6388,-1813,-223,2646,4198,11966"/>
        <sensor1 name="mtkts_chargerntc" type="ntc" coef="7788,2477,265,3020,4429,6843,7574"/>
        <sensor2 name="mtkts_usbntc" type="ntc" coef="-4593,-1316,448,1573,1573,1071,-1293"/>
        <sensor3 name="mtktsbtsmdpa" type="ntc" coef="-2235,-4401,-5749,-8019,-8613,-13367,-35716"/>
        <sensor4 name="battery" type="ntc" coef="30045,6243,2429,5720,5821,260,3900"/>
        <sensor5 name="mtktspmic" type="ntc" coef="10508,7681,8101,11126,9960,12428,28414"/>
    </shell_coef0>
    <shell_coef1 name="shell_front">
        <bat_bias>2000</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>1180</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="mtktsAP" type="ntc" coef="-18410,-7554,-4712,-1639,87,1885,8986"/>
        <sensor1 name="mtkts_chargerntc" type="ntc" coef="-18247,-1310,-596,120,-1638,-6067,-8571"/>
        <sensor2 name="mtktsbtsmdpa" type="ntc" coef="-1645,-3162,-4314,-6402,-7137,-10666,-32063"/>
        <sensor3 name="mtkts_usbntc" type="ntc" coef="-825,-1422,530,2488,2988,2966,4200"/>
        <sensor4 name="mtktspmic" type="ntc" coef="10415,6830,7617,7958,8386,10131,24068"/>
        <sensor5 name="battery" type="ntc" coef="23101,4668,2103,5083,3896,1069,11802"/>
    </shell_coef1>
    <shell_coef2 name="shell_back">
        <bat_bias>2000</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>2827</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="battery" type="ntc" coef="9279,2125,2074,3369,118,755,16268"/>
        <sensor1 name="mtktsAP" type="ntc" coef="-7332,-2607,-1616,7,1843,3193,16629"/>
        <sensor2 name="mtkts_chargerntc" type="ntc" coef="5091,1956,1516,3204,2399,3207,12968"/>
        <sensor3 name="mtktsbtsmdpa" type="ntc" coef="1368,-692,-347,-1452,-1984,-4532,-16661"/>
        <sensor4 name="mtkts_usbntc" type="ntc" coef="-740,-1163,971,3179,1864,2782,2732"/>
        <sensor5 name="mtktspmic" type="ntc" coef="2322,2330,1382,1698,2227,3540,13446"/>
    </shell_coef2>
</shell_calculate_coef>

</thermal>
